This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 351071 - libtirpc xdr_float.c should check for __arm__
libtirpc xdr_float.c should check for __arm__
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: libtirpc (Show other bugs)
rawhide
arm9 Linux
low Severity low
: ---
: ---
Assigned To: Steve Dickson
Fedora Extras Quality Assurance
:
Depends On:
Blocks: ARMTracker
  Show dependency treegraph
 
Reported: 2007-10-24 14:28 EDT by Lennert Buytenhek
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version: 0.1.7-13.fc8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-11-06 11:10:45 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Lennert Buytenhek 2007-10-24 14:28:47 EDT
libtirpc's version of xdr_float.c checks for __arm32__, which is a
preprocessor symbol defined on NetBSD/arm.  A Linux/ARM-targeted gcc
will not define __arm32__, but will define __arm__ instead.

Adding a " || defined(__arm__)" to xdr_float.c in the obvious place
makes libtirpc build on ARM, and allows building the libtirpc rawhide
srpm on the Fedora ARM port without further modifications.

Please considering adding a check for __arm__.
Comment 1 Steve Dickson 2007-10-25 14:00:45 EDT
Fixed in libtirpc-0.1.7-13.fc8 and libtirpc-0.1.7-13.fc9
Comment 2 Fedora Update System 2007-11-06 11:10:44 EST
libtirpc-0.1.7-13.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.